| Kea 3.0.2-git

nc_remove.h File Reference

This file defines the class NameRemoveTransaction. More...

`#include <d2srv/nc_trans.h>`
Include dependency graph for nc_remove.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::NameRemoveTransaction
| Embodies the "life-cycle" required to carry out a DDNS Remove update. More...
class | isc::d2::NameRemoveTransactionError
| Thrown if the NameRemoveTransaction encounters a general error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< NameRemoveTransaction > | isc::d2::NameRemoveTransactionPtr
| Defines a pointer to a NameRemoveTransaction.

## Detailed Description

This file defines the class NameRemoveTransaction.

This file defines the class SimpleRemoveTransaction.

Definition in file nc_remove.h.